/*
 * SPDX-FileCopyrightText: 2026 Maciej Sopyło <me@klh.io>
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#pragma once

#include <QColor>
#include <QDBusArgument>

struct DBusColor
{
    QColor color;

    operator QVariant() const { return QVariant::fromValue(*this); }
};

QDBusArgument &operator<<(QDBusArgument &argument, const DBusColor &item);
const QDBusArgument &operator>>(const QDBusArgument &argument, DBusColor &item);

Q_DECLARE_METATYPE(DBusColor)
